Package org.zkoss.zk.fn

## Class ZkFns

- java.lang.Object
- - org.zkoss.zk.fn.ZkFns

-     public class ZkFns
      extends java.lang.Object

  Utilities for using XEL in ZUL.

  For JSP pages, use `JspFns` instead.
  For DSP pages, use `DspFns` instead.

  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ZkFns()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getBuild()` | Returns the build identifier, such as 2007121316.
    `static java.lang.String` | `getEdition()` | Returns the edition, such as EE, PE and CE.
    `static java.lang.String` | `getVersion()` | Returns the ZK version, such as "1.1.0" and "2.0.0".
    `static java.lang.String` | `toAbsoluteURI​(java.lang.String uri)` | Converts the specified URI to absolute if not included by another page.
    `static java.lang.String` | `toAbsoluteURI​(java.lang.String uri, boolean skipInclude)` | Converts the specified URI to absolute if necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZkFns

          protected ZkFns()

  - ### Method Detail

    - #### toAbsoluteURI

          public static java.lang.String toAbsoluteURI​(java.lang.String uri,
                                                       boolean skipInclude)

      Converts the specified URI to absolute if necessary. Refer to `Execution.toAbsoluteURI(java.lang.String, boolean)`.
      Parameters:
        `skipInclude` - whether not to convert to an absolute URI if the current page is included by another page. When use the include directive, skipInclude shall be true.

    - #### toAbsoluteURI

          public static java.lang.String toAbsoluteURI​(java.lang.String uri)

      Converts the specified URI to absolute if not included by another page. It is a shortcut of `toAbsoluteURI(String, boolean)` with skipInclude is true.

    - #### getBuild

          public static java.lang.String getBuild()

      Returns the build identifier, such as 2007121316.

      Each time ZK is built, a different build identifier is assigned.

      Since:
        6.0.3

    - #### getVersion

          public static java.lang.String getVersion()

      Returns the ZK version, such as "1.1.0" and "2.0.0".
      Since:
        6.0.3

    - #### getEdition

          public static java.lang.String getEdition()

      Returns the edition, such as EE, PE and CE. Notice that prior to 5.0.1, the return value is one of Enterprise, Professional and Standard.
      Since:
        6.0.3